Index: code/branches/pickup2/src/modules/objects/Attacher.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/Attacher.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/Attacher.cc	(revision 6412)
@@ -98,5 +98,5 @@
         this->target_ = 0;
 
-        if (this->targetname_ == "")
+        if (this->targetname_.empty())
             return;
 
@@ -113,5 +113,5 @@
     void Attacher::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ || this->targetname_ == "")
+        if (this->target_ || this->targetname_.empty())
             return;
 
Index: code/branches/pickup2/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 6412)
@@ -66,6 +66,6 @@
         XMLPortParam(BoxCollisionShape, "halfExtents",  setHalfExtents,  getHalfExtents,  xmlelement, mode);
         XMLPortParamLoadOnly(BoxCollisionShape, "width",  setWidth,  xmlelement, mode);
-        XMLPortParamLoadOnly(BoxCollisionShape, "height", setHeight, xmlelement, mode);    
-        XMLPortParamLoadOnly(BoxCollisionShape, "length", setLength, xmlelement, mode);    
+        XMLPortParamLoadOnly(BoxCollisionShape, "height", setHeight, xmlelement, mode);
+        XMLPortParamLoadOnly(BoxCollisionShape, "length", setLength, xmlelement, mode);
     }
 
Index: code/branches/pickup2/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 6412)
@@ -66,5 +66,5 @@
 
         XMLPortParam(ConeCollisionShape, "radius", setRadius, getRadius, xmlelement, mode);
-        XMLPortParam(ConeCollisionShape, "height", setHeight, getHeight, xmlelement, mode);    
+        XMLPortParam(ConeCollisionShape, "height", setHeight, getHeight, xmlelement, mode);
     }
 
Index: code/branches/pickup2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 6412)
@@ -67,5 +67,5 @@
 
         XMLPortParam(PlaneCollisionShape, "normal", setNormal, getNormal, xmlelement, mode);
-        XMLPortParam(PlaneCollisionShape, "offset", setOffset, getOffset, xmlelement, mode);    
+        XMLPortParam(PlaneCollisionShape, "offset", setOffset, getOffset, xmlelement, mode);
     }
 
Index: code/branches/pickup2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/eventsystem/EventFilter.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/eventsystem/EventFilter.cc	(revision 6412)
@@ -62,5 +62,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << '"' << std::endl;
             return;
         }
Index: code/branches/pickup2/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/eventsystem/EventListener.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/eventsystem/EventListener.cc	(revision 6412)
@@ -58,5 +58,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -71,5 +71,5 @@
         this->eventName_ = eventname;
 
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
@@ -81,5 +81,5 @@
     void EventListener::loadedNewXMLName(BaseObject* object)
     {
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
Index: code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6412)
@@ -45,5 +45,5 @@
     {
     }
-    
+
     void EventTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -60,5 +60,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -72,5 +72,5 @@
     {
         this->target_ = name;
-        
+
         for (ObjectList<BaseObject>::iterator it = ObjectList<BaseObject>::begin(); it != ObjectList<BaseObject>::end(); ++it)
             if (it->getName() == this->target_)
@@ -80,5 +80,5 @@
     void EventTarget::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ == "")
+        if (this->target_.empty())
             return;
 
Index: code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.h
===================================================================
--- code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.h	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/eventsystem/EventTarget.h	(revision 6412)
@@ -42,7 +42,7 @@
             EventTarget(BaseObject* creator);
             virtual ~EventTarget();
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            
+
             virtual void processEvent(Event& event);
 
@@ -54,5 +54,5 @@
             virtual void loadedNewXMLName(BaseObject* object);
             void addEventTarget(BaseObject* object);
-            
+
             std::string target_;
             bool bActive_;
Index: code/branches/pickup2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6412)
@@ -92,5 +92,5 @@
     if (!targetId)
     {
-        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << std::endl;
         return;
     }
Index: code/branches/pickup2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/pickup2/src/modules/objects/triggers/Trigger.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/objects/triggers/Trigger.cc	(revision 6412)
@@ -280,11 +280,11 @@
   {
     if (this->mode_ == TriggerMode::EventTriggerAND)
-      return std::string("and");
+      return "and";
     else if (this->mode_ == TriggerMode::EventTriggerOR)
-      return std::string("or");
+      return "or";
     else if (this->mode_ == TriggerMode::EventTriggerXOR)
-      return std::string("xor");
+      return "xor";
     else
-      return std::string("and");
+      return "and";
   }
 
